#
# spec file for package ExtendedLog
#
# Copyright (c) 2022 E W
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://gitlab.com/catsfood/ExtendedLogViewer
#

%define libName libExtendedLogViewer
%define realName ExtendedLogViewer

Name:           libExtendedLogViewer1
Version:        1.1.2.2
Release:        0
Summary:        A ui-library for viewing "extended" log-files
License:        GPL-3.0-or-later
URL:            https://gitlab.com/catsfood/extended-log.git
Source:         ExtendedLogViewer-%{version}.tar.xz
Group:          System/Libraries
BuildRequires:  cmake >= 3.14
BuildRequires:  gcc-c++
BuildRequires:  cmake(Qt5Core)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(ExtendedLog)

%description
A graphical user interface library to view a "extended" log-file.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}
Requires:       cmake >= 3.14
Requires:       libqt5-qtbase-devel
Requires:       cmake(ExtendedLog)

%description devel
The development files for ExtendedLogViewer, a graphical user interface library to view a "extended" log-file.

%lang_package

%prep
%setup -q -n ExtendedLogViewer-%{version}

%build
%cmake
%make_build

%install
%cmake_install

%post  -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_libdir}/%{libName}.so.*

%files devel
%{_libdir}/%{libName}.so
%{_libdir}/cmake/%{realName}
%dir %{_includedir}/%{realName}
%{_includedir}/%{realName}/*.hpp
%{_includedir}/%{realName}/*.h

%files lang
%dir %{_datadir}/%{realName}
%dir %{_datadir}/%{realName}/i18n
%{_datadir}/%{realName}/i18n/*.qm

%changelog
* Tue Dec 20 2022 webe.info@gmx-topmail.de
- Update to version 1.1.2.2:
  * Change displaying of datetime filed values
  * correct date time format
  * add rpm build recipe
  * update version number
  * Update Version Number
  * add zip-files and rpms to gitignore
  * bump version number into cmake
  * Step towards solving #2
  * update version number
* Tue Dec 20 2022 W. <webe.info@gmx-topmail.de>
- make the intended changes of version 1.1.2.1 work :)
* Tue Dec 20 2022 W. <webe.info@gmx-topmail.de>
- Update to version 1.1.2.1
  * correct displaying of date and time (hopefully)
* Mon Dec 19 2022 W. <webe.info@gmx-topmail.de>
- Update to version 1.1.2
  * Fixing ui-issues
* Sat Oct 15 2022 W. <webe.info@gmx-topmail.de>
- Update to version 1.1.1.1
* Thu Oct 13 2022 W. <webe.info@gmx-topmail.de>
- Update to Version 1.1
* Thu Sep 29 2022 W. <webe.info@gmx-topmail.de>
- change repeice for lang-package
* Thu Sep 29 2022 W. <webe.info@gmx-topmail.de>
- Update to Version 1.0.6
  * This is the first stable version. It makes all lower versions
    obsolete
* Wed Sep 28 2022 W. <webe.info@gmx-topmail.de>
- set version to 0.9.5-5 (testing)
* Wed Sep 28 2022 W. <webe.info@gmx-topmail.de>
- now suggesting lang-package
* Wed Sep 28 2022 W. <webe.info@gmx-topmail.de>
- update to version 0.9.5-4
* Wed Sep 28 2022 W. <webe.info@gmx-topmail.de>
- update to version 0.9.5-3
* Wed Sep 28 2022 W. <webe.info@gmx-topmail.de>
- update to version 0.9.5-2
* Wed Sep 28 2022 W. <webe.info@gmx-topmail.de>
- correcting URL
* Wed Sep 28 2022 W. <webe.info@gmx-topmail.de>
- correcting source
* Wed Sep 28 2022 W. <webe.info@gmx-topmail.de>
- initial version
